package digital.laboratory.platform.entrustment.enums;

import lombok.Getter;

@Getter
public enum EntrustStatisticType {

    ENTRUST(0, "委托"),
    SCREEN(1, "初筛"),
    SOCIETY(2, "两社人员"),
    OTHER(3, "其他人员")
    ;

    private final Integer code;

    private final String desc;

    EntrustStatisticType(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    // 根据名称判断是否存在对应枚举
    public static EntrustStatisticType isExist(String desc) {
        for (EntrustStatisticType entrustStatisticType : values()) {
            if (entrustStatisticType.getDesc().equals(desc)) {
                return entrustStatisticType;
            }
        }
        throw new IllegalArgumentException("No enum constant with desc: " + desc);
    }

}
